Subject: bug#14002: closed (Re: bug#13977: 24.3.50; buffer-file-coding-system not set correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Apr 2013 19:54:02 +0000

Your bug report

#13977: 24.3.50; buffer-file-coding-system is undecided-dos, everywhere

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13977: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13977
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13977: 24.3.50; buffer-file-coding-system not set correctly
From: Dmitry Gutov <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Apr 2013 23:50:04 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Cc-ing the bug for the public record and to mark it done.

Version: 24.4

On 05.04.2013 23:35, Richard Copley wrote:
> Damn, 7 minutes 11 seconds for the bootstrap alone, plus a few minutes
> to test and write this email.

Thanks for checking, I'm in no hurry. :)

> (Forgot about having to recreate ja-dic. I
> wonder whether some of that work could be split into different targets
> for Make to parallelize?)

This isn't performed too often, I think I've only seen it recreated 
once, after this bug has been introduced.

> Anyway, yes it seems fixed for me. Many thanks!
>
>
>
> On 5 April 2013 20:22, Richard Copley <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     I'll bootstrap, give me six and a half minutes.
>
>
>     On 5 April 2013 20:19, Dmitry Gutov <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         Richard Copley <[email-masked] <mailto:[email-masked]>>
>         writes:
>
>          > On Windows, visit a plain ASCII text file with LF line
>         endings. The
>          > value of `buffer-file-coding-system' is `iso-latin-1-dos'
>         (should be
>          > `iso-latin-1-unix'). Modify and save the file. The file now
>         has CRLF
>          > line endings.
>          > This was introduced recently in the trunk.
>
>         I think this has been fixed, likely in the revision 112229.
>
>         Richard, could you test?
>
>
>

Subject: 24.3.50; buffer-file-coding-system is undecided-dos, everywhere
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Wed, 20 Mar 2013 06:26:34 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q
2. find-file .../emacs-bzr/trunk/README
3. eval `buffer-file-coding-system' => undecided-dos
4. make a change, save the buffer
5. run vc-diff => the whole buffer is marked as changed
6. eval `buffer-file-coding-system' again => still undecided-dos

Same with src/w32fns.c, for example. Or any other files with Unix line
endings (in other repositories).

In GNU Emacs 24.3.50.1 (i386-mingw-nt6.1.7601)
 of 2013-03-20 on SOL
Bzr revision: 112094 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (3.4) --cflags -IJ:/apps/system/gnuwin32/include'

Important settings:
  value of $EMACSDATA: C:/Users/gutov/vc/emacs-bzr/trunk/etc
  value of $EMACSDOC: C:/Users/gutov/vc/emacs-bzr/trunk/etc
  value of $EMACSLOADPATH: C:/Users/gutov/vc/emacs-bzr/trunk/site-lisp;C:/Users/gutov/vc/emacs-bzr/trunk/../site-lisp;C:/Users/gutov/vc/emacs-bzr/trunk/lisp;C:/Users/gutov/vc/emacs-bzr/trunk/leim
  value of $EMACSPATH: C:/Users/gutov/vc/emacs-bzr/trunk/bin
  value of $LANG: RUS
  locale-coding-system: cp1251
  default enable-multibyte-characters: t